summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-04-24 16:25:10 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:50:13 +0200
commit118bd0f364f495743d3ce19046ccb04c5f797c56 (patch)
tree2fc0da5b9ad6d99bbd7e84345115a82d8e7eca2a
parent2d16978b3b94b411f9247f4c5898713c271b2664 (diff)
downloadslackbuilds-118bd0f364f495743d3ce19046ccb04c5f797c56.tar.gz
slackbuilds-118bd0f364f495743d3ce19046ccb04c5f797c56.tar.xz
graphics/VariCAD: Added (3D/2D CAD system)
-rw-r--r--graphics/VariCAD/README7
-rwxr-xr-xgraphics/VariCAD/VariCAD.SlackBuild69
-rw-r--r--graphics/VariCAD/VariCAD.desktop11
-rw-r--r--graphics/VariCAD/VariCAD.info10
-rw-r--r--graphics/VariCAD/doinst.sh4
-rw-r--r--graphics/VariCAD/slack-desc19
6 files changed, 120 insertions, 0 deletions
diff --git a/graphics/VariCAD/README b/graphics/VariCAD/README
new file mode 100644
index 0000000000..cca3a9c9be
--- /dev/null
+++ b/graphics/VariCAD/README
@@ -0,0 +1,7 @@
+VariCAD is a 3D/2D CAD system primarily intended for mechanical engineering
+design.
+
+This installs the trial-version. A license-key must be obtained to use the
+program after the 30-day trial period.
+
+This script builds a Slackware package from the official RPM's.
diff --git a/graphics/VariCAD/VariCAD.SlackBuild b/graphics/VariCAD/VariCAD.SlackBuild
new file mode 100755
index 0000000000..ab8681a33e
--- /dev/null
+++ b/graphics/VariCAD/VariCAD.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for VariCAD
+# a 3D/2D CAD system for mechanical engineering
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# with inspiration from the OpenOffice.org SlackBuild, so thanks to Robby Workman :)
+# Revision date: 2010/04/23
+
+PRGNAM=VariCAD
+VERSION=${VERSION:-2010_2.06}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# I haven't tested this, but there are other languages available for VariCAD
+SRCLANG=en
+
+# The versioning of the 'source' RPM is a bit different:
+SRCVERSION=$(echo $VERSION | sed "s/_/-$SRCLANG-/")
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" -o "$ARCH" = "i686" ]; then
+ SRCARCH="i586"
+ PKGARCH="i586"
+elif [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x86_64"
+ PKGARCH="$ARCH"
+fi
+
+echo "SRCVERSION $SRCVERSION"
+echo "SRCARCH $SRCARCH"
+echo "PKGARCH $PKGARCH"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+# 'unpack' the RPM into the $PKG directory
+cd $PKG
+rpm2cpio < $CWD/${PRGNAM}_${SRCVERSION}-1.${SRCARCH}.rpm | cpio -imdv
+
+# Put documentation in the right directory
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/packages/${PRGNAM}_$(echo $VERSION | cut -f1 -d_)-$SRCLANG/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+rm -r $PKG/usr/share
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Put .desktop & icon in right places
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $PKG/opt/$PRGNAM/desktop/varicad.xpm $PKG/usr/share/pixmaps/
+cp $PKG/opt/$PRGNAM/desktop/varicad.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Set the lib directory as a+w so that we do not need to enter the license as root:
+chmod a+w $PKG/opt/$PRGNAM/lib
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$PKGARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/graphics/VariCAD/VariCAD.desktop b/graphics/VariCAD/VariCAD.desktop
new file mode 100644
index 0000000000..da2e67eca2
--- /dev/null
+++ b/graphics/VariCAD/VariCAD.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=FreeCAD
+Comment=General purpose 3D CAD modeler
+Categories=Graphics;
+Exec=/opt/FreeCAD/bin/FreeCAD
+Icon=FCIcon.xpm
+Terminal=false
+StartupNotify=false
+
diff --git a/graphics/VariCAD/VariCAD.info b/graphics/VariCAD/VariCAD.info
new file mode 100644
index 0000000000..5d8b0a9d5f
--- /dev/null
+++ b/graphics/VariCAD/VariCAD.info
@@ -0,0 +1,10 @@
+PRGNAM="VariCAD"
+VERSION="2010_2.06"
+HOMEPAGE="http://www.varicad.com"
+DOWNLOAD="http://www.varicad.com/userdata/files/release/en/VariCAD_2010-en-2.06-1.i586.rpm"
+MD5SUM="f9f49ec1ab74d008a3f2ca040c6db762"
+DOWNLOAD_x86_64="http://www.varicad.com/userdata/files/release/en/VariCAD_2010-en-2.06-1.x86_64.rpm"
+MD5SUM_x86_64="12197ba79a5acafc215e215f3b90f361"
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="dsomero"
diff --git a/graphics/VariCAD/doinst.sh b/graphics/VariCAD/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/graphics/VariCAD/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/graphics/VariCAD/slack-desc b/graphics/VariCAD/slack-desc
new file mode 100644
index 0000000000..606b8c0d82
--- /dev/null
+++ b/graphics/VariCAD/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+VariCAD: VariCAD (3D/2D CAD system for mechanical engineering)
+VariCAD:
+VariCAD: VariCAD is a 3D/2D CAD system primarily intended for mechanical
+VariCAD: engineering design.
+VariCAD:
+VariCAD: This installs the trial-version. A license-key must be obtained to
+VariCAD: use the program after the 30-day trial period.
+VariCAD:
+VariCAD: Homepage: http://www.varicad.com/
+VariCAD:
+VariCAD: